declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("../utils").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("../interfaces").TdColorHandler>;
        default: () => () => void;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("../utils").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("../interfaces").TdColorHandler>;
        default: () => () => void;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    handleChange: import("../interfaces").TdColorHandler;
} & {
    color?: import("../utils").Color;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    disabled: boolean;
    handleChange: import("../interfaces").TdColorHandler;
} & {
    color?: import("../utils").Color;
}, {
    disabled: boolean;
    handleChange: import("../interfaces").TdColorHandler;
}, true>);
export default _default;
